Bug 1014093 - some format string mismatches
some format string mismatches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups-filters (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 08:09 EDT by Tim Waugh
Modified: 2013-11-10 01:38 EST (History)
3 users (show)

See Also:
Fixed In Version: cups-filters-1.0.40-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:38:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-filters-format-mismatch.patch (3.36 KB, patch)
2013-10-01 08:09 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2013-10-01 08:09:53 EDT
Created attachment 805887 [details]
cups-filters-format-mismatch.patch

Description of problem:
There are some format string issues in cups-filters, revealed by adding __attribute__((format)) attributes to the varargs functions

Version-Release number of selected component (if applicable):
cups-filters-1.0.38-2.fc19
Comment 1 Jiri Popelka 2013-10-07 06:49:04 EDT
Have you sent this upstream Tim ?
I'm just asking because it's not been part of upstream 1.0.39.
Comment 2 Fedora Update System 2013-10-07 06:50:19 EDT
cups-filters-1.0.39-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cups-filters-1.0.39-1.fc20
Comment 3 Tim Waugh 2013-10-07 06:53:16 EDT
Oh, no, I don't think I have yet. I'll do that today.
Comment 4 Tim Waugh 2013-10-07 07:13:29 EDT
Sent upstream.
Comment 5 Fedora Update System 2013-10-07 11:42:09 EDT
Package cups-filters-1.0.39-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.39-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.39-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-11 12:48:40 EDT
Package cups-filters-1.0.40-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.40-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-10-11 22:27:46 EDT
Package cups-filters-1.0.40-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.40-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-2.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-10-16 08:08:09 EDT
ghostscript-9.10-4.fc19, cups-filters-1.0.40-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.10-4.fc19,cups-filters-1.0.40-3.fc19
Comment 9 Fedora Update System 2013-10-17 16:34:24 EDT
Package cups-filters-1.0.40-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.40-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-3.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-18 15:50:52 EDT
ghostscript-9.10-4.fc19, cups-filters-1.0.40-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-23 13:30:13 EDT
Package cups-filters-1.0.40-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.40-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-4.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-11-10 01:38:17 EST
cups-filters-1.0.40-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.